package com.cr.view

import android.content.Context
import android.util.AttributeSet
import com.cr.common.CrFontManager
import com.cr.cruav.R

/**
 * 操作系统：MAC系统
 * 创建者：王成
 * 创建日期：2023/8/18 14:15
 * 描述：图标控件
 */
class CrICON @JvmOverloads constructor(
    context: Context,
    attrs: AttributeSet?=null,
) :androidx.appcompat.widget.AppCompatTextView(context,attrs){
    /**
     * 初始化
     */
    init {
        attrs?.let {
            var attributes = context!!.obtainStyledAttributes(it, R.styleable.CrICON)
            if(attributes != null){
                var font = attributes.getString(R.styleable.CrICON_cr_font)
                if(font != null){
                    CrFontManager.setTextView(context,this,font!!)
                }
            }
        }
    }

    /**
     * 设置字体
     * @param fontId Int 字体资源Id
     */
    fun crSetFont(fontId:Int){
        var font = context!!.resources.getString(fontId)
        if(font != null){
            CrFontManager.setTextView(context,this,font!!)
        }
    }
}